Mail archive
alpine-devel

[alpine-devel] [PATCH] Initial APKBUILD of fatback

From: Fabian Affolter <fabian_at_affolter-engineering.ch>
Date: Wed, 29 Jun 2011 21:58:48 +0000

---
 testing/fatback/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 testing/fatback/APKBUILD
diff --git a/testing/fatback/APKBUILD b/testing/fatback/APKBUILD
new file mode 100644
index 0000000..135e491
--- /dev/null
+++ b/testing/fatback/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian_at_affolter-engineering.ch>
+# Maintainer:
+pkgname=fatback
+pkgver=1.3
+pkgrel=0
+pkgdesc="A tool for recovering files from FAT file systems"
+url="http://fatback.sourceforge.net/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="flex"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+		./configure \
+		--prefix=/usr \
+		--infodir=/usr/share/info \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="4f1beb13670a7eff5b66cff84e5fd42a  fatback-1.3.tar.gz"
-- 
1.7.4.5
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Jun 29 2011 - 21:58:48 UTC